<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android">

    <!-- Request legacy Bluetooth permissions on older devices. -->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
    <uses-permission android:name="android.permission.BLUETOOTH_CONNECT" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />

    <application>
        <activity
            android:name=".KothActivity"
            android:exported="false"
            android:label="King of the Hill"
            android:theme="@style/Theme.AppCompat.Light.DarkActionBar" />

        <activity
            android:name=".KothSettingsActivity"
            android:exported="false"
            android:label="Settings"
            android:parentActivityName=".KothActivity"
            android:theme="@style/Theme.AppCompat.Light.DarkActionBar">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value=".KothActivity"/>
        </activity>

        <provider
            android:name="androidx.startup.InitializationProvider"
            android:authorities="${applicationId}.androidx-startup"
            android:exported="false">
            <meta-data
                android:name="club.clubk.ktag.apps.koth.KothInitializer"
                android:value="androidx.startup" />
        </provider>

        <service android:name="info.mqtt.android.service.MqttService" />

    </application>

</manifest>
